Jump to content

Quick Conceptual Question


Recommended Posts

tl;dr version: Can you downgrade to any OFW firmware above your minimum praxis firmware, regardless of model?

 

So I've been around the end-user scene for a little while now, and I just had a random question pop into my head. I'd like to get a better understanding of the inner workings of downgrading on a conceptual level. Please correct me on anything wrong with the below statements.

 

My understanding of downgrading is that when you patch a backup, it changes the ROS0 and ROS1 (which are the core operating system and a copy of the operating system prior to that one for factory recovering purposes) to both appear to be equal to the minimum praxis firmware version so that it allows you to pass the "Is the firmware a higher version?" check and install 3.55 OFW or a firmware that was signed with the 3.55 private key.

 

Theoretically, a Super Slim with a min praxis of 4.25 could be downgraded to 4.25 OFW (or higher) if a patched dump is flashed to it, and you install the signed 4.25, right? Could SuperSlims or CECH300X's be downgraded to 4.70 to use Pexploit, or to 4.55 to use ODE's without swap disks? I'm assuming there's a catch since I've never heard of anyone doing that. If there is, what is the catch?

 

Cheers!

 

Come visit the PS3 Homebrew Wiki!

Link to post
Share on other sites

Quick answer: no, unless you change the leafs inside eid0. in that case it's a gamble.

Link to post
Share on other sites
1 hour ago, zecoxao said:

Quick answer: no, unless you change the leafs inside eid0. in that case it's a gamble.

 

Gotcha, thanks for the reply! Things are starting to click a little better as I'm looking at the Keys page on the Devwiki. Do you know of either a lecture, video, or flowchart that may help explaining order and precedence of keys? I see this link is referenced in the wiki, but is dead: http://www.mhlavac.info/wp-content/uploads/downloads/2010/03/lec2.pdf

Edited by Derf

Come visit the PS3 Homebrew Wiki!

Link to post
Share on other sites
  • 9 months later...

You can't patch a dump without keys.

3.55 and below we have,

3.56 and above we don't.


Sent from my iPhone using Tapatalk

NOR Downgrader

20xx all day long

PSP 1001 5.00 m33

2x PS2

Link to post
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now
×
×
  • Create New...